package p10_klasy.v3;

public class PrzykladSklep {

	public static void main(String[] args) {
		Osoba a = new Osoba("Ala", "Kowalska", 30);
		System.out.println(a);
		System.out.println("imię osoby a: " + a.imie);
		
		Osoba b = new Osoba("Basia", "Malinowska", 13);
		System.out.println(b);
		System.out.println("imię osoby b: " + b.imie);
		System.out.println();
		
		a.przedstawSie();
		
		if(a.wiek >= 18) {
			System.out.println(a.imie + " jest pełnoletnia");
		} else {
			System.out.println(a.imie + " jest niepełnoletnia");
		}
		System.out.println();
		
		b.przedstawSie();
		if(b.wiek >= 18) {
			System.out.println(b.imie + " jest pełnoletnia");
		} else {
			System.out.println(b.imie + " jest niepełnoletnia");
		}
		System.out.println();
		
		Sklep zabka = new Sklep("Żabka", 6);
		zabka.sprzedajPiwo(a);
		zabka.sprzedajPiwo(b);
		
		Sklep biedronka = new Sklep("Biedronka", 5);
		biedronka.sprzedajPiwo(a);
		biedronka.sprzedajPiwo(a);
		biedronka.sprzedajPiwo(a);
		
		System.out.println("Utarg w Żabce: " + zabka.utarg);
		System.out.println("Utarg w Biedronce: " + biedronka.utarg);
		
		// W Javie programista nie usuwa obiektów, które utworzył.
		// Usuwanie obiektów / zwalnianie pamięci jest wykonywane automatycznie przez "garbage collector", który jest częścią JVM.
	}

}
